ovn (26.09.0~git20260819.c60a7af-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot 26.09.0~git20260819.c60a7af.
  * Update openvswitch dependency to 4.0.0.
  * d/ovn-common.install: Add ovn-logical-flows manpage.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Wed, 19 Aug 2026 12:15:36 +0200

ovn (26.03.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream point release 26.03.2.
  * d/p/fix-nonascii-in-ovn-nb.xml.patch:
    Drop, included in upstream at 99a099193.
  * d/p/lp-2147468-tests-Replace-unsupported-protocol-test.patch:
    Drop, included in upstream at bd06e7a11.
  * d/p/skip-tls-deletion-test-step-for-openssl-4.patch:
    Add patch to fix failing test with libssl4.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Tue, 11 Aug 2026 16:30:01 +0200

ovn (26.03.1-3) UNRELEASED; urgency=medium

  * Rebuild with libssl-dev (>= 4).

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Jun 2026 13:33:34 +0200

ovn (26.03.1-2) unstable; urgency=medium

  * d/p/lp-2147468-tests-Replace-unsupported-protocol-test.patch: Add patch to
    fix "Unsupported protocol message" test from upstream (26.03.2) (LP: #2147468).

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Tue, 16 Jun 2026 10:07:15 +0200

ovn (26.03.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream point release 26.03.1.
  * d/t: Drop skip for "Unsupported protocol message" test (LP: #2147468).
  * d/p/CVE-2026-5367_pinctrl_Unify_handling_of_DHCPv6_options.patch:
    Drop, included in upstream at 78f6ce612.
  * d/p/CVE-2026-5265_pinctrl_Limit_the_IP_packet_size_to_buffer_size_for_ICMP_Need_Frag.patch:
    Drop, included in upstream at 9d674c684.
  * d/copyright: Remove old fsf address from copyright file.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Thu, 11 Jun 2026 14:11:59 +0200

ovn (26.03.0-6) unstable; urgency=medium

  * Add fix-ovn-vif-test-depends.patch (Closes: #1104378).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 May 2026 12:16:16 +0200

ovn (26.03.0-5) unstable; urgency=medium

  * Depends on procps (Closes: #1136547).

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 May 2026 08:53:05 +0200

ovn (26.03.0-4) unstable; urgency=medium

  * Fix security issues (Closes: #1134486):
    - CVE-2026-5265: Heap Over-Read in ICMP Error Response Generation. Add
    upstream patch: pinctrl: Limit the IP packet size to buffer size for
    ICMP Need Frag.
    - CVE-2026-5367: Heap over-read in OVN DHCPv6 Client ID processing. Add
    upstream patch: Unify handling of DHCPv6 options.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2026 15:17:17 +0200

ovn (26.03.0-3) unstable; urgency=medium

  * Add fix-nonascii-in-ovn-nb.xml.patch (Closes: #1135442).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2026 12:05:53 +0200

ovn (26.03.0-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Be explicit on GNU awk dependency (LP: #2148293).
  * d/t: Skip broken test (LP: #2147468).
  * d/t: Skip tests that regressed on new version of NMAP ncat (LP:
    #2148255).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 14 Apr 2026 10:59:01 +0000

ovn (26.03.0-1) unstable; urgency=medium

  * Team upload.
  * d/p/0002-ovn-ctl-Fix-typo-causing-run_ovnbr_ovsdb-to-detach.patch: Drop included upstream in 1b07da93b.
  * d/p/0001-ovn-ctl-Missing-stop_ovnbr_ovsdb-implementation.patch: Drop included upstream in 74af7bfa6.
  * d/p/lp-2142024-tests-ovn-controller-Sort-output-of-dump-flows.patch: Drop, included upstream in b4974ee5c.
  * Update upstream source from tag 'upstream/26.03.0'.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Tue, 24 Mar 2026 13:32:02 +0000

ovn (26.03.0~git20260216.b543a88-4) unstable; urgency=medium

  * Team upload.
  * d/p/0001-ovn-ctl-Missing-stop_ovnbr_ovsdb-implementation.patch: Patch for missing stop_ovnbr_ovsdb implementation.
  * d/p/0002-ovn-ctl-Fix-typo-causing-run_ovnbr_ovsdb-to-detach.patch: Patch for run_ovnbr_ovsdb detach fix.
  * d/ovn-host.ovn-ovsdb-server-br.service: Change ovn-ovsdb-server-br service to type simple.

 -- Panos Kostopoulos Kyrimis <panos.kostopouloskyrimis@canonical.com>  Mon, 02 Mar 2026 13:20:55 +0000

ovn (26.03.0~git20260216.b543a88-3) unstable; urgency=medium

  * Add 2 unit tests to flaky-tests-riscv64.txt.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Feb 2026 09:28:54 +0100

ovn (26.03.0~git20260216.b543a88-2) unstable; urgency=medium

  * Cleans better (Closes: #1045869).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Feb 2026 15:03:03 +0100

ovn (26.03.0~git20260216.b543a88-1) unstable; urgency=medium

  * Team upload.
  * d/p/lp-2142024-tests-ovn-controller-Sort-output-of-dump-flows.patch: Fix incorrect sort order assumption in test.
  * d/p/lp-2123914-controller-Fix-mapping-of-learned-routes-to-LRP: Drop, included upstream in 470244c60.
  * d/ovn-host.service: ovn-br-controller and ovn-ovsdb-server-br services.
  * d/ovn-common.install: Adds ovn-brctl and manpages for ovn-br and
    ovn-br-controller.
  * d/ovn-host.install: Adds ovn-br-controller binary and ovn-br.ovsschema.
  * d/control: Update openvswitch source to 3.7.0.
  * Update upstream source from tag 'upstream/26.03.0_git20260216.b543a88'.

 -- MJ Ponsonby <mj.ponsonby@canonical.com>  Tue, 17 Feb 2026 13:33:14 +0000

ovn (25.09.0-3) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * d/rules: Fix FTBFS caused by toolchain change (Closes: #1118193).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Fri, 17 Oct 2025 12:50:10 +0000

ovn (25.09.0-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Add iputils-ping as test dependency (LP: #2126981).
  * d/p/lp-2123914-controller-Fix-mapping-of-learned-routes-to-LRP.patch:
    Fix issue with dynamic-routing-port-name option (LP: #2123914).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 15 Oct 2025 06:58:20 +0000

ovn (25.09.0-1) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * ovn-common: fix ovndb-servers.ocf and use dh_link instead of
    maintainer scripts (Closes: #1040383).
  * Stop shipping /var/ directories in package and use systemd service
    directives instead.

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/25.09.0'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch: Drop,
    included in new upstream version.
  * debian/patches/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-
    on-unknown.patch: Refresh.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 09 Sep 2025 15:36:26 +0000

ovn (25.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0'.
  * d/p/lp-2104222-tests-Use-scapy-contrib-BFD-implementation.patch: Fix
    system test failure due to incompatibility with python3-scapy 2.6.1
    (LP: #2104222).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 31 Mar 2025 15:35:50 +0000

ovn (25.03.0~git20250216.7c69af7-2) unstable; urgency=medium

  * Blacklist "virtual port claim race condition" on riscv (Closes: #1099595).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2025 09:28:30 +0100

ovn (25.03.0~git20250216.7c69af7-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/25.03.0_git20250216.7c69af7'
  * d/control: Bump openvswitch dependency to 3.5.0~.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sun, 16 Feb 2025 17:13:40 +0000

ovn (24.09.0-1) unstable; urgency=medium

  * Team upload.

  [ Roberto Bartzen Acosta ]
  * Fix ovn-ic.service systemd script.

  [ Frode Nordahl ]
  * d/control: Bump openvswitch-source dependency.
  * d/tests: Use build-needed restriction field.
  * Update upstream source from tag 'upstream/24.09.0'.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 16 Sep 2024 13:49:12 +0200

ovn (24.03.2-2) unstable; urgency=medium

  * Team upload.
  * d/p/lp-2066194-tests-Ignore-ovs-vswitchd-received-packet-on-
    unknown.patch: Avoid false negative test result due to intermittent
    warning message from ovs-vswitchd.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 20 May 2024 20:51:04 +0200

ovn (24.03.2-1) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix check for ovs populated from openvswitch-source.
  * d/t/control: Drop i386 from architecture restrictions.
  * d/t/control: Add missing architecture restrictions for openvswitch-
    switch-dpdk.
  * d/t/run-tests.sh: Fix autopkgtest for binary packages (LP: #2057998).
  * d/tests/run-tests.sh: Use 1G hugepages for dpdk test on arm64 (LP:
    #2059400).
  * Update upstream source from tag 'upstream/24.03.2'
  * d/ovn-common.install: Add new ovn-debug binary.
  * d/control: Bump openvswitch-source version.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Sat, 18 May 2024 22:06:21 +0200

ovn (24.03.1-2) unstable; urgency=medium

  * Team upload.
  * d/t/run-tests.sh: Fix typo in autopkgtest script.
  * d/rules: Skip tests deemed unstable by upstream.
  * d/skip-tests.txt: Add flaky test to the skip-list.

 -- Frode Nordahl <fnordahl@ubuntu.com>  Wed, 13 Mar 2024 14:49:23 +0100

ovn (24.03.1-1) unstable; urgency=medium

  * Team upload.
  * d/tests: Run system test suites for autopkgtest.
  * Update upstream source from tag 'upstream/24.03.1'.
    - CVE-2024-2182: Fix insufficient validation of incoming BFD packets
      (LP: #2053113).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Tue, 12 Mar 2024 14:37:17 +0100

ovn (24.03.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0'.
  * d/control: Replace pkg-config with pkgconf as build dependency.
  * d/control: Update openvswitch-source build dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 04 Mar 2024 13:30:04 +0100

ovn (24.03.0~git20240205.ebb7076-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/24.03.0_git20240205.ebb7076'.
  * d/control: Update openvswitch dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 05 Feb 2024 07:20:16 +0000

ovn (23.09.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: openvswitch-source now ships as a directory tree.
  * d/control: Bump openvswitch-source version dependency.
  * d/p/revert-ovs-python-build-rename.patch: Drop, redundant after
    updated openvswitch-source dependency.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 02 Nov 2023 17:18:11 +0100

ovn (23.09.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/23.09.0'
    - Add CoPP for the svc_monitor_mac. This addresses CVE-2023-3153.
    (Closes: #1043598)
  * d/p/revert-ovs-python-build-rename.patch: Revert OVN adaption for not
    yet released OVS build system changes (LP: #2036397).
  * d/control: Add python3-scapy build dependency.
  * d/flaky-tests-s390x.txt: Add failing test case.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 18 Sep 2023 08:34:18 +0200

ovn (23.03.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045869).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Aug 2023 13:15:37 +0200

ovn (23.03.0-2) unstable; urgency=medium

  * Added Build-Depends: architecture-is-64-bit, since the upstream code isn't
    32-bits compatible. See https://bugs.launchpad.net/neutron/+bug/2025985
    for more details.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jul 2023 13:54:40 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ovn-common`.
